Valant Officially Certified as a 2014 Meaningful Use Complete EHR

June 26, 2014

This Health IT Module is 2014 Edition Modular Certification compliant and has been certified by an ONC-ACB in accordance with the applicable certification criteria adopted by the Secretary of Health and Human Services. This certification does not represent an endorsement by the U.S. Department of Health and Human Services.

Developer Name: Valant Medical Solutions, Inc.
EHR Software: Valant Premium Psychiatric Suite v 6.0
Certification: ONC HIT 2014 Edition Modular EHR Certification
Certification number: 140113R00
Certification date: June 14, 2004
ONC-ACB: ICSA Labs

Certification criteria:
170.314 (a)(1) – (a)(15);
170.314 (b)(1-) – (b)(7);
170.314 (c)(1) – (c)(3);
170.314 (d)(1) – (d)(8);
170.314(e)(1) – (e)(3);
170.314 (f)(1);
170.314(g)(2) – (g)(4).

To examine the criteria in detail please visit: https://chpl.healthit.gov/#/product/6836; or
https://www.icsalabs.com/sites/default/files/2014-EHRA175379-2014-0610-00.pdf

Clinical Quality Measures:
CMS-2 v3;
CMS-50 v2;
CMS-69 v2;
CMS-128 v2;
CMS-136 v3;
CMS-138 v2;
CMS-155 v2;
CMS-159 v2;
CMS-160 v2;
CMS-161 v2;
CMS-165 v2;
CMS-169 v2.

Cost Disclosure:

  • Subscription Fee
    • Monthly Fee on Annul subscription to access EHR software
  • Additional Costs
    • Monthly fee for meaningful use support
    • One-time setup fee to prescribe controlled substances
    • Minimal cost per page to eFax

 

Limitations Disclosure:
Technical: Requirements for running EHR software:

PC Users
Operating System:
Windows 7 Professional SP1 or higher
Windows 7 Enterprise SP1 or higher
Windows 7 Ultimate SP1 or higher
Windows 8.x (The standard version of Windows 8 cannot be added to a domain)
Windows 8.x Professional
Windows 8.x Enterprise
Windows 10.x

Internet Browser:
Internet Explorer 11 or higher
Mozilla Firefox v52.x (ESR)

Additional Software:
Valant Word Add-in (for PC only)
Adobe Reader v9.x or higher
Microsoft Silverlight v5 or higher
Microsoft Word 2007 or higher

Mac Users:
Operating System:
Macintosh 10.7.5 (Intel-based) or higher.

Internet Browser:
Mozilla Firefox v52.x (ESR) running in 32-bit

Additional Software:
Adobe Reader v9.x or higher
Microsoft Silverlight v5 or higher
Microsoft Word for Mac 2008 or higher

Practical
Software supports the export of a QRDA file for manual upload.
CCDA transfers are done with a manual push from patient chart or via UPDOX Direct Secure Messaging.

Last Updated: October 11, 2018